@font-face {
  font-family: "Silka Mono";
  font-weight: 400;
  src:    
    url("fonts/SilkaMono-Regular.otf") format("opentype") tech(color-COLRv1),
    url("fonts/SilkaMono-Regular.otf") format("opentype"),    
}


*,
*::before,
*::after {
  box-sizing: border-box;
}

.visually-hidden,
.visually-hidden:not(:focus):not(:active) {
  clip: rect(0 0 0 0);
  clip-path: inset(50%);
  height: 1px;
  overflow: hidden;
  position: absolute;
  white-space: nowrap;
  width: 1px;
  color: transparent;
  animation: unset;
}

body {
  background-color: #333333;
  font-family: 'Silka Mono', sans-serif;
  padding: 0;
  margin: 0;
  line-height: 1.5;
}

.default-page-main {
  width: 100dvw;
  min-height: 100dvh;
  display: flex;
  flex-direction: column;
  justify-content: stretch;
  align-items: center;
  position: relative;
  padding: 50px 0 25px;
}

h1 {
  font-size: 35px;
  hyphens: auto;
}

h2 {
  font-size: 25px;
  hyphens: auto;
}

.webcard {
  flex-grow: 1;
  width: 1100px;
  max-width: 100%;
  display: flex;
  flex-direction: column;  
  justify-content: center;
  align-items: center;
  gap: 3.5rem;
  padding: 0 50px;
}

.logobox {
  width: 350px;
  max-width: 100%;
}

.contentbox {
  text-align: center;
  color: white;  
  font-size: 20px;
}

.contentbox a {
  display: inline-block;
  color: white;  
  text-decoration: none;
}

.contentbox a:hover { 
  text-decoration: underline;
}

.contentbox p {  
  margin: 10px 0;
}

.instagram {
  margin-top: 10px;
  width: 30px;
}

.dropbox {
  position: absolute;
  bottom: 0;
  right: 0;
  width: 750px;
  z-index: -1;
}

.dropbox svg * {
  opacity: 1 !important;
  fill: #36A5A8 !important;
  
}

/* GALLERY */
.gallery {
  flex-grow: 1;
  margin-top: 50px;
  width: 1100px;
  max-width: 100%;
  padding: 0 50px;  
}

.gallery_list {
  list-style-type: none;
  padding: 0;
  display: flex;
  flex-wrap: wrap;
  gap: 25px;
}

.gallery_item {
  width: calc((100% - 75px) / 4);
  height: auto;
  aspect-ratio: 9/12;
}

.gallery_item a {
  display: block;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.gallery_item a img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* FEATHERLIGHT */
.featherlight-content {
  /* LEFT THE WHITE BG FOR PNGS -> BG CAN BE CHANGED */  
  padding: 0 !important;
  border: 0 !important;
  position: relative;
  max-width: 95% !important;
  margin-left: auto !important;
  margin-right: auto !important;
}

.featherlight-previous {
  left: 0 !important;
  top: 0 !important;
  width: unset;
  height: unset;
  right: 80%;
  transform: unset;
  background: unset;
}

.featherlight-previous > span {
  max-width: 100% !important;
  top: 50% !important;
  left: 50% !important;
  transform: translateX(-50%) translateY(-50%);
  font-size: 0 !important;
  width: 40px !important;
  height: 40px;
  background-image: url("img/arrow-left.svg");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: contain;
  margin-top: 0 !important;
}

.featherlight-next {
  right: 0 !important;
  top: 0 !important;
  width: unset;
  height: unset;
  left: 80%;
  transform: unset;
  background: unset;
}

.featherlight-next > span {
  max-width: 100% !important;
  top: 50% !important;
  right: 50% !important;
  transform: translateX(50%) translateY(-50%);
  font-size: 0 !important;
  width: 40px !important;
  height: 40px;
  background-image: url("img/arrow-right.svg");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: contain;
  margin-top: 0 !important;
}

/* DISCLAIMER */
.disclaimer {
  margin-top: 50px;
  display: flex;
  align-items: center;
}

.disclaimer a {
  color: white;
  text-decoration: none;
}

.disclaimer p {
  color: white;  
  padding-left: 10px;
  padding-right: 10px;
}

.disclaimer a:hover {  
  text-decoration: underline;
}

/* DATA */
.logowrap {
  width: 1100px;
  max-width: 100%;
  padding: 0 50px;
  margin-bottom: 25px;
  
  display: flex;
  justify-content: center;
}

.logowrap .logobox {
  display: block;
  width: 350px;
  max-width: 100%;
}

.data {
  flex-grow: 1;
  width: 1100px;
  max-width: 100%;
  padding: 0 50px;
}

.data * {
  color: white;  
}

.data.imprint {
  display: flex;
  flex-direction: column;
  align-items: center;  
  justify-content: center;
}

.data.imprint * {
  text-align: center;
}

@media (max-width: 1024px) {
  .webcard {
    flex-direction: column;
    align-items: center;
  }

  .contentbox {
    margin-top: 35px;
    text-align: center;
  }

  .instagram {
    margin-top: 25px;
  }

  /* GALLERY */
  .gallery_list {
    gap: 10px;
  }

  .gallery_item {
    width: calc((100% - 30px) / 4);
  }

  /* FEATHERLIGHT */
  .featherlight-previous {
    width: 60px;
    height: 60px;
    top: 50% !important;
    left: 0 !important;
    right: unset;
    transform: translateY(-50%);
    background-color: rgba(255, 255, 255, 0.25);
  }

  .featherlight-previous:hover {
    background-color: rgba(255, 255, 255, 0.25);
  }

  .featherlight-previous > span {    
    top: 50%;
    left: 50% !important;
    transform: translateX(-50%) translateY(-50%);
    transform-origin: center center;
  }

  .featherlight-next {
    width: 60px;
    height: 60px;
    top: 50% !important;
    left: auto !important;
    right: 0 !important;
    left: unset;
    transform: translateY(-50%);
    background-color: rgba(255, 255, 255, 0.25);    
  }

  .featherlight-next:hover {
    background-color: rgba(255, 255, 255, 0.25);
  }

  .featherlight-next > span {    
    top: 50%;
    right: 50% !important;
    transform: translateX(50%) translateY(-50%);
  }
}

@media (max-width: 768px) {
  .dropbox {
    width: 500px;
  }

  /* GALLERY */
  .gallery_item {
    width: calc((100% - 20px) / 3);
  }
}

@media (max-width: 600px) {
  /* GALLERY */
  .gallery_item {
    width: calc((100% - 10px) / 2);
  }
}

@media (max-width: 500px) {
  body {
    font-size: 14px;
  }

  h1 {
    font-size: 25px;
  }

  h2 {
    font-size: 18px;
  }

  .webcard {
    padding: 0 25px;
  }

  .contentbox {
    font-size: 16px;
  }

  /* GALLERY */
  .gallery {
    padding: 0 25px;
  }

  /* FEATHERLIGHT */
  .featherlight-previous {
    width: 30px;
    height: 30px;
  }

  .featherlight-next {
    width: 30px;
    height: 30px;
  }

  /* DATA */
  .data {
    padding: 0 25px;
  }
}

@media (max-width: 400px) {
  /* GALLERY */
  .gallery_item {
    width: 100%;
  }
}